//
//  NotificationViewController.m
//  ContentExtensionObjC
//
//  Created by Gerard Allan on 22/02/2019.
//  Copyright © 2019 2Mee Ltd. All rights reserved.
//


#import "NotificationViewController.h"
#import <UserNotifications/UserNotifications.h>
#import <UserNotificationsUI/UserNotificationsUI.h>
#import <Appear2mee/Appear2mee.h>
#import "../Appear2meeConstants.h"

@interface NotificationViewController () <UNNotificationContentExtension>

@property IBOutlet Appear2meeContentView *contentView;

@end

@implementation NotificationViewController

- (void)didReceiveNotification:(UNNotification *)notification {
    [self.contentView displayNotification:notification notificationController:self usingAppGroup:APPGROUP];
}

-(void) didReceiveNotificationResponse:(UNNotificationResponse *)response completionHandler:(void (^)(UNNotificationContentExtensionResponseOption))completion {
    [self.contentView didReceiveNotificationResponse:response completionHandler:completion];
}

@end
